Need help? Get answers from the docs with Omni's in-app AI! Log in to your Omni instance and open the Omni Agent in the sidebar.
curl --request POST \
--url https://{instance}.omniapp.co/api/scim/v2/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "Blob Ross",
"userName": "blob.ross@blobsrus.com",
"urn:omni:params:1.0:UserAttribute": {
"good_blob": true
}
}
'{
"active": true,
"displayName": "Blob Ross",
"emails": [
{
"primary": true,
"value": "blob.ross@blobsrus.co"
}
],
"groups": [],
"id": "9e8719d9-276a-4964-9395-a493189a247c",
"meta": {
"created": "2024-12-03T23:13:14.109Z",
"lastModified": "2024-12-03T23:13:14.109Z",
"resourceType": "User"
},
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"userName": "blob.ross@blobsrus.co",
"urn:omni:params:1.0:UserAttribute": {
"good_blob": "yes"
}
}Creates a user. To manage model and connection role assignments for users, see the User model role APIs.
curl --request POST \
--url https://{instance}.omniapp.co/api/scim/v2/users \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"displayName": "Blob Ross",
"userName": "blob.ross@blobsrus.com",
"urn:omni:params:1.0:UserAttribute": {
"good_blob": true
}
}
'{
"active": true,
"displayName": "Blob Ross",
"emails": [
{
"primary": true,
"value": "blob.ross@blobsrus.co"
}
],
"groups": [],
"id": "9e8719d9-276a-4964-9395-a493189a247c",
"meta": {
"created": "2024-12-03T23:13:14.109Z",
"lastModified": "2024-12-03T23:13:14.109Z",
"resourceType": "User"
},
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:User"
],
"userName": "blob.ross@blobsrus.co",
"urn:omni:params:1.0:UserAttribute": {
"good_blob": "yes"
}
}Documentation Index
Fetch the complete documentation index at: https://docs.omni.co/llms.txt
Use this file to discover all available pages before exploring further.
Requires an Organization API Key. Personal Access Tokens (PATs) are not supported for this endpoint.
Include in the Authorization header as: Bearer ORGANIZATION_API_KEY
The user's display name
"Blob Ross"
The user's email address
"blob.ross@blobsrus.com"
User attributes as key/value pairs, where keys map to the IDs of user attributes defined in Omni. This is the Reference column in the User attributes page.
{ "good_blob": true }User created successfully
Unique identifier for the user
The user's email address
The user's display name
Whether the user is active
The user's email addresses
Show child attributes
User groups that the user belongs to
Show child attributes
Show child attributes
SCIM information about the type of schemas used in the API. For example, urn:ietf:params:scim:schemas:core:2.0:User
User attributes as key/value pairs, where keys map to the IDs of user attributes defined in Omni. This is the Reference column in the User attributes page.
Omni SCIM extension schema containing additional user metadata
Show child attributes
Was this page helpful?